Subject: [Geopriv] LbyR and impact for GEOPRIV architecture

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 01 Mar 2008 12:53:58 +0200

Folks,

some time ago I tried to compile some slides about GEOPRIV. I noticed
* Inconsistencies regarding some terminology aspects
* gaps regarding the use of LbyRs.

On the latter aspect Henning, Miguel and myself wrote an IETF draft 
based on the clarifications of the LbyR concept by Henning at the last 
IETF meeting:
http://www.cs.columbia.edu/~hgs/papers/2007/IETF70-geopriv-ref.ppt

The document can be found here:
http://tools.ietf.org/wg/simple/draft-garcia-simple-indirect-presence-publish-00.txt

In short, the authors believe that some architectural questions that are 
unsolved regarding the usage of LbyRs and the interworking with presence.

The document is now discussed in SIMPLE:
http://www.ietf.org/html.charters/simple-charter.html

We need to figure out where to make a discussion about this subject to 
avoid issues falling through cracks.

We have requested an agenda slot in SIMPLE but did not get one since 
there are only a few folks commenting the document (given that the main 
use case came from GEOPRIV).

Ciao
Hannes

Subject: Re: [Simple] New Indirect publication draft
From: Miguel Garcia <[email-masked]>
To: Qian Sun <[email-masked]>
Cc: "'Tschofenig Hannes \(NSN - FI/Espoo\)'" <[email-masked]>, 'SIMPLE mailing list' <[email-masked]>, 'Henning Schulzrinne' <[email-masked]>
Date: Fri, 29 Feb 2008 12:27:18 +0200
List-Id: SIP for Instant Messaging and Presence Leveraging Extensions <simple.ietf.org>

If we going to do third party publications, for sure we need a mechanism 
for controlling authorization. Honestly, no matter whether you are in a 
controlled environment (such as the OMA architecture) or not. I wouldn't 
like that my operator suddenly starts disclosing my location information 
  without my permission, just because this information is coming from a 
trusted source.

Furthermore. We have discussed the issue of how we will need a mechanism 
for the end user to provide publication authorization rules. This will 
control the rules, but at the end of the day, if the LCP server does not 
want to provide the location information to the presence server, then 
such information won't be present in the PIDF.

In other words. We need a mechanism at the user's disposal for 
controlling when and how these indirect publications are done. The 
proposal to use third party publication is lame, IMHO, for privacy reasons.

/Miguel

Qian Sun wrote:
> Hi,
> 
> Maybe we do not need the mechanism for authorizing external parties to do publications on your behalf, if the Presence Server trusts the PNA (or other AS).
> In OMA, the IM server may directly publish the on/off status of presentity to the Presence Server without the authorization mechanism.
> 
> Qian
> 
> -----Original Message-----
> From: Salvatore Loreto [mailto:[email-masked]] 
> Sent: Wednesday, February 27, 2008 6:55 PM
> To: Miguel Garcia
> Cc: Qian Sun; 'Tschofenig Hannes (NSN - FI/Espoo)'; 'SIMPLE mailing list'; 'Henning Schulzrinne'
> Subject: Re: [Simple] New Indirect publication draft
> 
> Hi,
> 
> in line
> 
> /Sal
> 
> Miguel Garcia wrote:
>> To make this work like you said, you will need:
>>
>> - A mechanism for authorizing external parties to do publications on 
>> your behalf. I am not sure if we have such mechanism in place.
> [Sal] I am not sure we have such mechanism, too.
> However, as other standardization bodies (3GGP and OMA) are thinking to 
> insert a PNA (Presence Network Agent) maybe we should start to think of 
> a mechanism like this.
> 
> see also this draft: 
> http://tools.ietf.org/wg/simple/draft-rosen-simple-watcher-count-00.txt
> 
> 
>> - A mechanism for instructing the presence server to switch on/off 
>> your location information towards watchers. We do have this mechanism, 
>> and it is presence authorization rules. So, if in my device I have 
>> some UI entry that indicates "toggle location information", when I act 
>> upon it, the device will change the presence authorization rules.
>>
>> What I am proposing is that the "toggle location information" in the 
>> UI will trigger a new (partial) PUBLISH from the presentity. I think 
>> it matches better with the general architecture of the presentity 
>> providing his location.
> [Sal] Of course what I am suggesting would require some form of 
> authorization mechanism, and people could start to argue about the 
> complexity of the delegation mechanism.
> However also in your proposal, you want to change in some way the 
> Presence Server behavior and let it to change/update the presence 
> information  not only when it receives a PUBLISH, but also via the 
> de-reference mechanism.
> 
>  
>> /Miguel
>>
>> Salvatore Loreto wrote:
>>> Hi Miguel,
>>>
>>> surely I am missing something,
>>> but if it is only a presence authorization rules problem, then the 
>>> presentity should in some way authorize the
>>> presence server to receive information, better location information, 
>>> from a specific LCP server
>>> and then let the LCP server directly PUBLISH presentity's location 
>>> value to Presence Server.
>>>
>>> /Sal
>>>
>>> Miguel Garcia wrote:
>>>> Hi Qian:
>>>>
>>>> Yes, an LCP server can publish the presentity's PIDF-LO to the 
>>>> presence server. The problem here is that, under normal 
>>>> circumstances, the presence server will not merge this PIDF-LO with 
>>>> the current presentity's PIDF, because the presentity didn't publish 
>>>> location information in the first place, so presumably it doesn't 
>>>> even have presence authorization rules, etc.
>>>>
>>>> /Miguel
>>>>
>>>>
>>>> Qian Sun wrote:
>>>>  
>>>>> Hi,
>>>>>
>>>>> Could  LCP Server as a presence source directly PUBLISH presentity's
>>>>> location value to Presence Server?  Presence Server can compose a 
>>>>> merged
>>>>> PIDF document including presence information from different sources.
>>>>>
>>>>> Cheers,
>>>>> Qian
>>>>>
>>>>> -----Original Message-----
>>>>> From: [email-masked] [mailto:[email-masked]] On 
>>>>> Behalf Of
>>>>> Miguel Garcia
>>>>> Sent: Monday, February 18, 2008 10:12 PM
>>>>> To: SIMPLE mailing list
>>>>> Cc: Tschofenig Hannes (NSN - FI/Espoo); Henning Schulzrinne
>>>>> Subject: [Simple] New Indirect publication draft
>>>>>
>>>>> Hi:
>>>>>
>>>>> We have just submitted a draft that discusses the issue of indirect
>>>>> publication. The first part of the draft focuses on location URIs, so,
>>>>> perhaps it is of not much interest to the SIMPLE WG.
>>>>>
>>>>> Filename:     draft-garcia-simple-indirect-presence-publish
>>>>> Revision:     00
>>>>> Title:         Indirect Presence Publication with the Session 
>>>>> Initiation Protocol(SIP)
>>>>> Creation_date:     2008-02-18
>>>>> WG ID:         Independent Submission
>>>>> Number_of_pages: 12
>>>>>
>>>>> http://www.ietf.org/internet-drafts/draft-garcia-simple-indirect-presence-pu 
>>>>>
>>>>> blish-00.txt
>>>>>
>>>>> Comments are welcome.
>>>>>
>>>>> /Miguel
>>>>>     
>>>>   
> 

-- 
Miguel A. Garcia           tel:+358-50-4804586
Nokia Siemens Networks     Espoo, Finland

_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple
_______________________________________________
Geopriv mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/geopriv